weka.core.pmml.jaxbbindings

## Class OutputField

- java.lang.Object
- - weka.core.pmml.jaxbbindings.OutputField

-     public class OutputField
      extends java.lang.Object

  Java class for OutputField element declaration.

  The following schema fragment specifies the expected content contained within this class.

       <element name="OutputField">
         <complexType>
           <complexContent>
             <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
               <sequence>
                 <element ref="{http://www.dmg.org/PMML-4_1}Extension" maxOccurs="unbounded" minOccurs="0"/>
                 <sequence minOccurs="0">
                   <element ref="{http://www.dmg.org/PMML-4_1}Decisions" minOccurs="0"/>
                   <group ref="{http://www.dmg.org/PMML-4_1}EXPRESSION"/>
                 </sequence>
               </sequence>
               <attribute name="algorithm" default="exclusiveRecommendation">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <enumeration value="recommendation"/>
                     <enumeration value="exclusiveRecommendation"/>
                     <enumeration value="ruleAssociation"/>
                   </restriction>
                 </simpleType>
               </attribute>
               <attribute name="dataType" type="{http://www.dmg.org/PMML-4_1}DATATYPE" />
               <attribute name="displayName" type="{http://www.w3.org/2001/XMLSchema}string" />
               <attribute name="feature" type="{http://www.dmg.org/PMML-4_1}RESULT-FEATURE" />
               <attribute name="isMultiValued" type="{http://www.w3.org/2001/XMLSchema}anySimpleType" default="0" />
               <attribute name="name" use="required" type="{http://www.dmg.org/PMML-4_1}FIELD-NAME" />
               <attribute name="optype" type="{http://www.dmg.org/PMML-4_1}OPTYPE" />
               <attribute name="rank" type="{http://www.dmg.org/PMML-4_1}INT-NUMBER" default="1" />
               <attribute name="rankBasis" default="confidence">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <enumeration value="confidence"/>
                     <enumeration value="support"/>
                     <enumeration value="lift"/>
                     <enumeration value="leverage"/>
                     <enumeration value="affinity"/>
                   </restriction>
                 </simpleType>
               </attribute>
               <attribute name="rankOrder" default="descending">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <enumeration value="descending"/>
                     <enumeration value="ascending"/>
                   </restriction>
                 </simpleType>
               </attribute>
               <attribute name="ruleFeature" type="{http://www.dmg.org/PMML-4_1}RULE-FEATURE" default="consequent" />
               <attribute name="segmentId" type="{http://www.w3.org/2001/XMLSchema}string" />
               <attribute name="targetField" type="{http://www.dmg.org/PMML-4_1}FIELD-NAME" />
               <attribute name="value" type="{http://www.w3.org/2001/XMLSchema}string" />
             </restriction>
           </complexContent>
         </complexType>
       </element>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OutputField()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Aggregate` | `getAggregate()` Gets the value of the aggregate property.
    `java.lang.String` | `getAlgorithm()` Gets the value of the algorithm property.
    `Apply` | `getApply()` Gets the value of the apply property.
    `Constant` | `getConstant()` Gets the value of the constant property.
    `DATATYPE` | `getDataType()` Gets the value of the dataType property.
    `Decisions` | `getDecisions()` Gets the value of the decisions property.
    `Discretize` | `getDiscretize()` Gets the value of the discretize property.
    `java.lang.String` | `getDisplayName()` Gets the value of the displayName property.
    `java.util.List<Extension>` | `getExtension()` Gets the value of the extension property.
    `RESULTFEATURE` | `getFeature()` Gets the value of the feature property.
    `FieldRef` | `getFieldRef()` Gets the value of the fieldRef property.
    `java.lang.String` | `getIsMultiValued()` Gets the value of the isMultiValued property.
    `MapValues` | `getMapValues()` Gets the value of the mapValues property.
    `java.lang.String` | `getName()` Gets the value of the name property.
    `NormContinuous` | `getNormContinuous()` Gets the value of the normContinuous property.
    `NormDiscrete` | `getNormDiscrete()` Gets the value of the normDiscrete property.
    `OPTYPE` | `getOptype()` Gets the value of the optype property.
    `java.math.BigInteger` | `getRank()` Gets the value of the rank property.
    `java.lang.String` | `getRankBasis()` Gets the value of the rankBasis property.
    `java.lang.String` | `getRankOrder()` Gets the value of the rankOrder property.
    `RULEFEATURE` | `getRuleFeature()` Gets the value of the ruleFeature property.
    `java.lang.String` | `getSegmentId()` Gets the value of the segmentId property.
    `java.lang.String` | `getTargetField()` Gets the value of the targetField property.
    `java.lang.String` | `getValue()` Gets the value of the value property.
    `void` | `setAggregate(Aggregate value)` Sets the value of the aggregate property.
    `void` | `setAlgorithm(java.lang.String value)` Sets the value of the algorithm property.
    `void` | `setApply(Apply value)` Sets the value of the apply property.
    `void` | `setConstant(Constant value)` Sets the value of the constant property.
    `void` | `setDataType(DATATYPE value)` Sets the value of the dataType property.
    `void` | `setDecisions(Decisions value)` Sets the value of the decisions property.
    `void` | `setDiscretize(Discretize value)` Sets the value of the discretize property.
    `void` | `setDisplayName(java.lang.String value)` Sets the value of the displayName property.
    `void` | `setFeature(RESULTFEATURE value)` Sets the value of the feature property.
    `void` | `setFieldRef(FieldRef value)` Sets the value of the fieldRef property.
    `void` | `setIsMultiValued(java.lang.String value)` Sets the value of the isMultiValued property.
    `void` | `setMapValues(MapValues value)` Sets the value of the mapValues property.
    `void` | `setName(java.lang.String value)` Sets the value of the name property.
    `void` | `setNormContinuous(NormContinuous value)` Sets the value of the normContinuous property.
    `void` | `setNormDiscrete(NormDiscrete value)` Sets the value of the normDiscrete property.
    `void` | `setOptype(OPTYPE value)` Sets the value of the optype property.
    `void` | `setRank(java.math.BigInteger value)` Sets the value of the rank property.
    `void` | `setRankBasis(java.lang.String value)` Sets the value of the rankBasis property.
    `void` | `setRankOrder(java.lang.String value)` Sets the value of the rankOrder property.
    `void` | `setRuleFeature(RULEFEATURE value)` Sets the value of the ruleFeature property.
    `void` | `setSegmentId(java.lang.String value)` Sets the value of the segmentId property.
    `void` | `setTargetField(java.lang.String value)` Sets the value of the targetField property.
    `void` | `setValue(java.lang.String value)` Sets the value of the value property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OutputField

          public OutputField()

  - ### Method Detail

    - #### getExtension

          public java.util.List<Extension> getExtension()

      Gets the value of the extension property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the extension property.

      For example, to add a new item, do as follows:

              getExtension().add(newItem);

      Objects of the following type(s) are allowed in the list `Extension`

    - #### getDecisions

          public Decisions getDecisions()

      Gets the value of the decisions property.
      Returns:
        possible object is `Decisions`

    - #### setDecisions

          public void setDecisions(Decisions value)

      Sets the value of the decisions property.
      Parameters:
        `value` - allowed object is `Decisions`

    - #### getConstant

          public Constant getConstant()

      Gets the value of the constant property.
      Returns:
        possible object is `Constant`

    - #### setConstant

          public void setConstant(Constant value)

      Sets the value of the constant property.
      Parameters:
        `value` - allowed object is `Constant`

    - #### getFieldRef

          public FieldRef getFieldRef()

      Gets the value of the fieldRef property.
      Returns:
        possible object is `FieldRef`

    - #### setFieldRef

          public void setFieldRef(FieldRef value)

      Sets the value of the fieldRef property.
      Parameters:
        `value` - allowed object is `FieldRef`

    - #### getNormContinuous

          public NormContinuous getNormContinuous()

      Gets the value of the normContinuous property.
      Returns:
        possible object is `NormContinuous`

    - #### setNormContinuous

          public void setNormContinuous(NormContinuous value)

      Sets the value of the normContinuous property.
      Parameters:
        `value` - allowed object is `NormContinuous`

    - #### getNormDiscrete

          public NormDiscrete getNormDiscrete()

      Gets the value of the normDiscrete property.
      Returns:
        possible object is `NormDiscrete`

    - #### setNormDiscrete

          public void setNormDiscrete(NormDiscrete value)

      Sets the value of the normDiscrete property.
      Parameters:
        `value` - allowed object is `NormDiscrete`

    - #### getDiscretize

          public Discretize getDiscretize()

      Gets the value of the discretize property.
      Returns:
        possible object is `Discretize`

    - #### setDiscretize

          public void setDiscretize(Discretize value)

      Sets the value of the discretize property.
      Parameters:
        `value` - allowed object is `Discretize`

    - #### getMapValues

          public MapValues getMapValues()

      Gets the value of the mapValues property.
      Returns:
        possible object is `MapValues`

    - #### setMapValues

          public void setMapValues(MapValues value)

      Sets the value of the mapValues property.
      Parameters:
        `value` - allowed object is `MapValues`

    - #### getApply

          public Apply getApply()

      Gets the value of the apply property.
      Returns:
        possible object is `Apply`

    - #### setApply

          public void setApply(Apply value)

      Sets the value of the apply property.
      Parameters:
        `value` - allowed object is `Apply`

    - #### getAggregate

          public Aggregate getAggregate()

      Gets the value of the aggregate property.
      Returns:
        possible object is `Aggregate`

    - #### setAggregate

          public void setAggregate(Aggregate value)

      Sets the value of the aggregate property.
      Parameters:
        `value` - allowed object is `Aggregate`

    - #### getAlgorithm

          public java.lang.String getAlgorithm()

      Gets the value of the algorithm property.
      Returns:
        possible object is `String`

    - #### setAlgorithm

          public void setAlgorithm(java.lang.String value)

      Sets the value of the algorithm property.
      Parameters:
        `value` - allowed object is `String`

    - #### getDataType

          public DATATYPE getDataType()

      Gets the value of the dataType property.
      Returns:
        possible object is `DATATYPE`

    - #### setDataType

          public void setDataType(DATATYPE value)

      Sets the value of the dataType property.
      Parameters:
        `value` - allowed object is `DATATYPE`

    - #### getDisplayName

          public java.lang.String getDisplayName()

      Gets the value of the displayName property.
      Returns:
        possible object is `String`

    - #### setDisplayName

          public void setDisplayName(java.lang.String value)

      Sets the value of the displayName property.
      Parameters:
        `value` - allowed object is `String`

    - #### getFeature

          public RESULTFEATURE getFeature()

      Gets the value of the feature property.
      Returns:
        possible object is `RESULTFEATURE`

    - #### setFeature

          public void setFeature(RESULTFEATURE value)

      Sets the value of the feature property.
      Parameters:
        `value` - allowed object is `RESULTFEATURE`

    - #### getIsMultiValued

          public java.lang.String getIsMultiValued()

      Gets the value of the isMultiValued property.
      Returns:
        possible object is `String`

    - #### setIsMultiValued

          public void setIsMultiValued(java.lang.String value)

      Sets the value of the isMultiValued property.
      Parameters:
        `value` - allowed object is `String`

    - #### getName

          public java.lang.String getName()

      Gets the value of the name property.
      Returns:
        possible object is `String`

    - #### setName

          public void setName(java.lang.String value)

      Sets the value of the name property.
      Parameters:
        `value` - allowed object is `String`

    - #### getOptype

          public OPTYPE getOptype()

      Gets the value of the optype property.
      Returns:
        possible object is `OPTYPE`

    - #### setOptype

          public void setOptype(OPTYPE value)

      Sets the value of the optype property.
      Parameters:
        `value` - allowed object is `OPTYPE`

    - #### getRank

          public java.math.BigInteger getRank()

      Gets the value of the rank property.
      Returns:
        possible object is `BigInteger`

    - #### setRank

          public void setRank(java.math.BigInteger value)

      Sets the value of the rank property.
      Parameters:
        `value` - allowed object is `BigInteger`

    - #### getRankBasis

          public java.lang.String getRankBasis()

      Gets the value of the rankBasis property.
      Returns:
        possible object is `String`

    - #### setRankBasis

          public void setRankBasis(java.lang.String value)

      Sets the value of the rankBasis property.
      Parameters:
        `value` - allowed object is `String`

    - #### getRankOrder

          public java.lang.String getRankOrder()

      Gets the value of the rankOrder property.
      Returns:
        possible object is `String`

    - #### setRankOrder

          public void setRankOrder(java.lang.String value)

      Sets the value of the rankOrder property.
      Parameters:
        `value` - allowed object is `String`

    - #### getRuleFeature

          public RULEFEATURE getRuleFeature()

      Gets the value of the ruleFeature property.
      Returns:
        possible object is `RULEFEATURE`

    - #### setRuleFeature

          public void setRuleFeature(RULEFEATURE value)

      Sets the value of the ruleFeature property.
      Parameters:
        `value` - allowed object is `RULEFEATURE`

    - #### getSegmentId

          public java.lang.String getSegmentId()

      Gets the value of the segmentId property.
      Returns:
        possible object is `String`

    - #### setSegmentId

          public void setSegmentId(java.lang.String value)

      Sets the value of the segmentId property.
      Parameters:
        `value` - allowed object is `String`

    - #### getTargetField

          public java.lang.String getTargetField()

      Gets the value of the targetField property.
      Returns:
        possible object is `String`

    - #### setTargetField

          public void setTargetField(java.lang.String value)

      Sets the value of the targetField property.
      Parameters:
        `value` - allowed object is `String`

    - #### getValue

          public java.lang.String getValue()

      Gets the value of the value property.
      Returns:
        possible object is `String`

    - #### setValue

          public void setValue(java.lang.String value)

      Sets the value of the value property.
      Parameters:
        `value` - allowed object is `String`